package com.css.simulation.resource.util;

import api.common.util.CollectionUtil;
import com.css.simulation.resource.scene.mapper.ScoringRulesMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 任务结果打分
 */
@Component
@Slf4j
public class ScenePackageUtil {

    @Resource
    private ScoringRulesMapper scoringRulesMapper;

    public void checkScenePackage(String packageId){
        //5 查询评分规则是否被删除
        final List<String> rules = scoringRulesMapper.selectDeletedRulesByPackageId(packageId);
        if (CollectionUtil.isNotEmpty(rules)) {
            throw new RuntimeException("评分规则已被删除：" + rules);
        }
    }
}
